Subject: [Emu] Issue #11: TLS version

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Wed, 5 Aug 2009 15:50:46 -0700

#11: TLS version

 > Section 4.2.1
 >
 > "  The tunnel based method MUST support TLS version 1.2 [RFC5246] and
 >    SHOULD support TLS version 1.0 [RFC2246] and version 1.1
 > [RFC4346] to
 >    enable the possibility of backwards compatibility with existing
 >    deployments."
 >
 > I am not sure how to interpret this requirement.  Is it
 > sufficient for a proposal to enable negotiation of TLS 1.2
 > between a peer and server that support it?  Or does the
 > protocol actually have to require that both the peer and
 > server implement TLS 1.2?  If the former, is the requirement
 > really  just properly supporting TLS version negotiation?
 >
 I interpret the requirement to mean the latter.  Would this be clearer:

 "The tunnel based method MUST implement TLS version 1.2 [RFC5246] and
may
 support earlier versions for backward compatibility."

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/emu/trac/ticket/11>
emu <http://tools.ietf.org/wg/emu/>